### File

`packages/eui-dynamic-forms-ui/src/lib/directives/native-element-provider.directive.ts`

### Implements

`AfterViewInit`

### Metadata

Selector | `[dynFormArray], [dynFormGroup],[dynFormControl],[formControl]`

### Index

###### Inputs
dynFormArray dynFormControl dynFormGroup dynTargetedElement dynTargetedElementFocus

### Constructor

`constructor(el: ElementRef, control: NgControl)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No
control | `NgControl` | No

### Inputs

dynFormArray
Type : `FormArray`

dynFormControl
Type : `FormControl`

dynFormGroup
Type : `FormGroup`

dynTargetedElement
Type : `string`

dynTargetedElementFocus
Type : `boolean`

# result-matching ""

# No results matching ""